JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ProgressBar::LookAndFeelMethods Struct Referenceabstract
juce_gui_basics » widgets

This abstract base class is implemented by LookAndFeel classes. More...

`#include <juce_ProgressBar.h>`

Inheritance diagram for ProgressBar::LookAndFeelMethods:

## Public Member Functions
virtual | ~LookAndFeelMethods ()=default
virtual void | drawProgressBar (Graphics &, ProgressBar &, int width, int height, double progress, const String &textToShow)=0
| Draws a progress bar.
virtual bool | isProgressBarOpaque (ProgressBar &)=0
virtual Style | getDefaultProgressBarStyle (const ProgressBar &)=0
| Returns the default style a progress bar should use if one hasn't been set.

## Detailed Description

This abstract base class is implemented by LookAndFeel classes.

## Constructor & Destructor Documentation

## ◆ ~LookAndFeelMethods()

virtual ProgressBar::LookAndFeelMethods::~LookAndFeelMethods | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ drawProgressBar()

virtual void ProgressBar::LookAndFeelMethods::drawProgressBar | ( | Graphics & | ,
|  | ProgressBar & | ,
|  | int | width,
|  | int | height,
|  | double | progress,
|  | const String & | textToShow )
| pure virtual

Draws a progress bar.

If the progress value is less than 0 or greater than 1.0, this should draw a spinning bar that fills the whole space (i.e. to say that the app is still busy but the progress isn't known). It can use the current time as a basis for playing an animation.

To determine which style of progress-bar to draw call getResolvedStyle().

(Used by progress bars in AlertWindow).

See also
  getResolvedStyle

Implemented in LookAndFeel_V4, LookAndFeel_V1, and LookAndFeel_V2.

## ◆ isProgressBarOpaque()

virtual bool ProgressBar::LookAndFeelMethods::isProgressBarOpaque | ( | ProgressBar & |  | ) |
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V4.

## ◆ getDefaultProgressBarStyle()

virtual Style ProgressBar::LookAndFeelMethods::getDefaultProgressBarStyle | ( | const ProgressBar & |  | ) |
| pure virtual

Returns the default style a progress bar should use if one hasn't been set.

See also
  setStyle, getResolvedStyle

Implemented in LookAndFeel_V2, and LookAndFeel_V4.

The documentation for this struct was generated from the following file:

- juce_ProgressBar.h